using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;


namespace ActionGame.UserInterface.Control
{
    public class Panel : IControl
    {
        public IList<IControl> Controls { get; }
        public Texture2D Texture { get; set; }
        public Boolean IsSelected { get; set; }
        public Boolean IsSelectable { get; }
        public Rectangle Location { get; set; }


        public Panel()
        {
            this.Controls = new List<IControl>();
            this.IsSelectable = false;
        }


        public void Draw(SpriteBatch spriteBatch, GameTime gameTime)
        {
            spriteBatch.Draw(Texture, this.Location, Color.White);
        }


        public void Update(GameTime gameTime)
        {

        }


        public void Press(GameTime gameTime)
        {
            
        }
    }
}
